# bdm::ArxDS Class Reference

Generator of ARX data. More...

`#include <libDS.h>`

List of all members.

## Public Member Functions
void | getdata (vec &dt)
| Returns full vector of observed data=[output, input].
void | getdata (vec &dt, const ivec &indices)
| Returns data records at indeces.
void | write (vec &ut)
| Accepts action variable and schedule it for application.
void | write (vec &ut, const ivec &indices)
| Accepts action variables at specific indeces.
void | step ()
| Moves from to , i.e. perfroms the actions and reads response of the system.
| ArxDS ()
| Default constructor.
void | set_parameters (const mat &Th0, const vec mu0, const chmat &sqR0)
| Set parameters of the internal model, H is maximum time delay.
void | set_drv (RV &yrv, RV &urv, RV &rrv)
| Set.
void | set_options (const string &s)
| set options from a string
virtual void | log_add (logger &L)
| Register DS for logging into logger L.
virtual void | logit (logger &L)
| Register DS for logging into logger L.
virtual RV | _drv () const
| access function
const RV & | _urv () const
| access function
virtual void | set_drv (const RV &drv, const RV &urv)
| set random rvariables
virtual string | ToString ()
| This method returns a basic info about the current instance.
virtual void | from_setting (const Setting &root)
| This method arrange instance properties according the data stored in the Setting structure.
virtual void | to_setting (Setting &root) const
| This method save all the instance properties into the Setting structure.
## Protected Attributes
RV | Rrv
| Rv of the regressor.
vec | H
| History, ordered as .
vec | U
| (future) input
vec | rgr
| temporary variable for regressor
datalink | rgrlnk
| data link: H -> rgr
mlnorm< chmat > | model
| model of Y - linear Gaussian
bool | opt_L_theta
| options
int | L_theta
| loggers
int | L_R
int | dt_size
int | dtsize
int | utsize
RV | Drv
| Description of data returned by `getdata()`.
RV | Urv
| Description of data witten by by `write()`.
int | L_dt
| Remember its own index in Logger L.
int | L_ut

## Detailed Description

Generator of ARX data.

The documentation for this class was generated from the following files:

- libDS.h
- libDS.cpp